<?php
/**
 * @version		1.0
 * @package		mod_sig_slideshow
 * @copyright	Copyright (C) 2011 - 2012 Marcel Pol. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Read out parameters
$mod_name		= "mod_sig_slideshow";
$delay			= (int) $params->get('delay', 5);
$showArrows		= (int) $params->get('showArrows', 1);

// Read out parameters from Joomlaworks
$plugin = JPluginHelper::getPlugin('content', 'jw_simpleImageGallery');
$pluginParams = new JRegistry();
$pluginParams->loadString($plugin->params);
$thb_width	= (int) $pluginParams->get('thb_width', 200);
$thb_height	= (int) $pluginParams->get('thb_height', 160);

// Add javascript and css
$document = &JFactory::getDocument();
$document->addScript('modules/'.$mod_name.'/smoothgallery/jd.gallery.js');
$document->addStyleSheet('modules/'.$mod_name.'/mod_sig_slideshow.css');

// Start the main loop of the view
?>
<div id="sig_slideshow" style="overflow:hidden;">
	<?php foreach ($gallery as $img) { ?>
		<div class="imageElement">
			<h4>Item Title</h4>
			<p></p>
			<a class="open" href="<?php echo "#"; ?>">More photo's</a>
			<img src="<?php echo $img->thumbImageFilePath; ?>" class="thumbnail" />
		</div>
	<?php } ?>
</div>

<?php // Add javascript and css ?>
<script type="text/javascript">
if (typeof jQuery == 'undefined') {
    // jQuery is not loaded
} else {
    // jQuery is loaded
	jQuery.noConflict();
}
function startGallery() {
	var myGallery = new gallery($('sig_slideshow'), {
		timed: true,
		delay: <?php echo $delay; ?>000,
		showArrows: <?php echo $showArrows; ?>,
		showCarousel: false,
		showInfopane: false,
		elementSelector: "div.imageElement",
		titleSelector: "h4",
		subtitleSelector: "p",
		linkSelector: "a.open",
		imageSelector: "img.thumbnail",
		thumbnailSelector: "img.thumbnail"
	});
}
window.addEvent('domready', startGallery);
</script>

<style type="text/css">
#sig_slideshow {
	width: <?php echo $thb_width; ?>px;
	height: <?php echo $thb_height; ?>px;
}
</style>
